#pragma once

#include "ConfigComboBox.h"
#include "SystemAnalysis.h"



class CSystemConfiguration;



class CVideoOptionsPage : public CPropertyPage
{
public:
	CVideoOptionsPage( CSystemConfiguration& kSysConfig );
	virtual ~CVideoOptionsPage();
	virtual BOOL OnInitDialog();
	virtual void OnOK();

protected:
	virtual void DoDataExchange( CDataExchange* pDX );
	DECLARE_MESSAGE_MAP()

private:
	void UpdateSystemConfig();
	DECLARE_DYNAMIC( CVideoOptionsPage )

private:
	CSystemConfiguration& m_kSysConfig;
	
	CConfigComboBox m_kRendererCtrl;
	CConfigComboBox m_kResolutionCtrl;
	CConfigComboBox m_kAntiAliasingCtrl;
	CButton m_kFullscreenCtrl;
	CButton m_kVSyncCtrl;

	DispModesCol m_colDispModes;
};
